### Struct

# WPEPlatform BufferDMABufFormatsBuilder

#### Description [src]

    struct WPEBufferDMABufFormatsBuilder {
      /* No available fields */
    }

Helper type to build a `WPEBufferDMABufFormats`.

#### Constructors

###### wpe_buffer_dma_buf_formats_builder_new

Create a new `WPEBufferDMABufFormatsBuilder`.

#### Instance methods

###### wpe_buffer_dma_buf_formats_builder_append_format

Append a new pair of `format` and `modifier` to the last group added to `builder`.

###### wpe_buffer_dma_buf_formats_builder_append_group

Append a new group for `device` and `usage` to `builder`. If `device` is `NULL`, the main device passed to `wpe_buffer_dma_buf_formats_builder_new()` should be used.

###### wpe_buffer_dma_buf_formats_builder_end

End the builder process and return the constructed `WPEBufferDMABufFormats`. This function calls `wpe_buffer_dma_buf_formats_builder_unref()` on `builder`.

###### wpe_buffer_dma_buf_formats_builder_ref

Atomically acquires a reference on the given `builder`.

###### wpe_buffer_dma_buf_formats_builder_unref

Atomically releases a reference on the given `builder`.